SafeWeb
Partner API

Update a webhook endpoint

PATCH
/api/v1/integrations/webhooks/{webhookId}

Path Parameters

webhookId*string
Formatuuid

Header Parameters

SW-PARTNER-ID*string
SW-API-KEY*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Properties1 <= properties

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/integrations/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "SW-PARTNER-ID: string" \  -H "SW-API-KEY: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "webhook": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "url": "http://example.com",    "eventTypes": [      "string"    ],    "enabled": true,    "maxAttempts": 1,    "createdAt": "2019-08-24T14:15:22Z"  }}